Bug 136385 - upgrading dev rpm using apt-get failed
upgrading dev rpm using apt-get failed
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: MAKEDEV (Show other bugs)
3
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Nalin Dahyabhai
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-19 13:22 EDT by Michael J. Slifcak
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-30 10:55:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael J. Slifcak 2004-10-19 13:22:40 EDT
Description of problem:  apt-get dist-upgrade
attempts to bring all packages up to date. 
Errors displayed at end of this message.
Basically, the remove of older 'dev' package succeeded.
However, the pre-install script saw that devfs was mounted,
and failed the update.  This left the system without a
"dev" package.

Workaround: Fortunately, the newer RPM was downloaded.
rpm -Uvh --noscripts /var/cache/apt/archives/dev_3.3.13-1_386.rpm
did succeed

System is a Toshiba Satellite with Celeron CPU

# more /etc/*release
::::::::::::::
/etc/fedora-release
::::::::::::::
Fedora Core release 2.91 (FC3 Test 2)
::::::::::::::
/etc/lsb-release
::::::::::::::
LSB_VERSION="1.3"
# apt-get dist-upgrade
Reading Package Lists... Done
Building Dependency Tree... Done
Calculating Upgrade... Done
The following packages will be REMOVED:
  NetworkManager abiword control-center desktop-printing firstboot
  gnome-session hal hal-cups-utils kudzu module-init-tools nautilus
  nautilus-cd-burner nautilus-media pcmcia-cs system-config-display
  system-config-mouse system-config-network system-config-network-tui udev
The following NEW packages will be installed:
  dev id3lib modutils
The following packages have been kept back
  gimp grip subversion
0 upgraded, 3 newly installed, 19 removed and 3 not upgraded.
Need to get 4405kB of archives.
After unpacking 45.7MB disk space will be freed.
Do you want to continue? [Y/n] y
Get:1 http://ayo.freshrpms.net fedora/linux/2/i386/core dev 3.3.13-1
[3775kB]
Get:2 http://ayo.freshrpms.net fedora/linux/2/i386/core modutils
2.4.26-16 [405kB]
Get:3 http://ayo.freshrpms.net fedora/linux/2/i386/freshrpms id3lib
3.8.3-7.1.fc2.fr [226kB]
Fetched 4405kB in 31s (139kB/s)                                      
         
Committing changes...
Preparing...               
########################################### [100%]
warning: /etc/sysconfig/pcmcia saved as /etc/sysconfig/pcmcia.rpmsave
Cannot install the dev package: mounted devfs detected.
error: %pre(dev-3.3.13-1) scriptlet failed, exit status 1
error:   install: %pre scriptlet failed (2), skipping dev-3.3.13-1
   1:modutils              
########################################### [ 33%]
   2:id3lib                
########################################### [ 67%]
W: Some errors occurred while running transaction


Version-Release number of selected component (if applicable):

dev-3.3.13-1

How reproducible:

Steps to Reproduce:
1.Install FC2 apt-get from http://ayo.freshrpms.net
2. apt-get update
3. apt-get upgrade
4. apt-get dist-upgrade <-- All was fine until this was run
  
Actual results:
Cannot install the dev package: mounted devfs detected.
error: %pre(dev-3.3.13-1) scriptlet failed, exit status 1
error:   install: %pre scriptlet failed (2), skipping dev-3.3.13-1


Expected results:

Successful install

Additional info:

Workaround: Fortunately, the newer RPM was downloaded.
rpm -Uvh --noscripts /var/cache/apt/archives/dev_3.3.13-1_386.rpm
did succeed
Comment 1 Michael J. Slifcak 2004-10-19 15:11:18 EDT
Unfortunately, The manual RPM update had to be repeated,
because on the next boot, rpm -V dev revealed many inodes missing.

So, upon the third boot to single user mode, the -Uvh --noscripts
upgrade took.
Comment 2 Matthew Miller 2006-07-10 17:59:36 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 3 John Thacker 2006-10-30 10:55:48 EST
Closing per lack of response to previous request for information.  This bug was
originally filed against a much earlier version of Fedora Core, and significant
changes have taken place since the last version for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.